Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.edge.toolkit.workflow
Class MultiTypeOneWayPortType

    java.lang.Object
      com.bea.rfid.edge.toolkit.workflow.MultiTypeOneWayPortType

All Implemented Interfaces:
  PortType

    public class MultiTypeOneWayPortType

extends Object
implements PortType

Represents the type of a one-way `Port` that accepts/sends multiple types of input.

Constructor Summary
`MultiTypeOneWayPortType(PortType[] portTypes, String displayName)` Constructor.
`MultiTypeOneWayPortType(Set portTypes, String displayName)` Constructor.

Method Summary
`boolean` | `canAcceptMessage(Object msg)` Determines if the port type will accept the given message.
`String` | `getDisplayName()` Returns the display name for this port type.
`String` | `getStringRepresentation()` Returns a string representation that uniquely identifies equivalent port types.
`Set` | `getSupportedPortTypes()` Returns the PortTypes supported by this port.
`boolean` | `isWirableFrom(PortType fromType)` Determines whether it is valid to connect the given `PortType` to this.
`void` | `setDisplayName(String displayName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiTypeOneWayPortType

    public MultiTypeOneWayPortType(PortType[] portTypes,
                                   String displayName)

  Constructor.

  Parameters:
    `portTypes` - All the PortTypes that are supported by this.
    `displayName` - The display name for the port type.
  Throws:
    `IllegalArgumentException` - If null or empty set of port types is passed in.

### MultiTypeOneWayPortType

    public MultiTypeOneWayPortType(Set portTypes,
                                   String displayName)

  Constructor.

  Parameters:
    `portTypes` - All the PortTypes that are supported by this.
    `displayName` - The display name for the port type.
  Throws:
    `IllegalArgumentException` - If null or empty set of port types is passed in.

Method Detail

### getSupportedPortTypes

    public Set getSupportedPortTypes()

  Returns the PortTypes supported by this port.

  Returns:
    The set of `PortType`s supported by this.

### isWirableFrom

    public boolean isWirableFrom(PortType fromType)

  Description copied from interface: `PortType`
  Determines whether it is valid to connect the given `PortType` to this. Returns true if it is a valid connection; False otherwise.

  Specified by:
    `isWirableFrom` in interface `PortType`
  Parameters:
    `fromType` - The PortType from which this is to be connected.
  Returns:
    Returns true if it is valid to connect the given `PortType`to this; False otherwise.``

### setDisplayName

    public void setDisplayName(String displayName)

### getDisplayName

    public String getDisplayName()

  Description copied from interface: `PortType`
  Returns the display name for this port type. This value may be used in GUIs and such to give visual cue to users of the modules.

  Specified by:
    `getDisplayName` in interface `PortType`
  Returns:
    Display name of the port type.

### getStringRepresentation

    public String getStringRepresentation()

  Description copied from interface: `PortType`
  Returns a string representation that uniquely identifies equivalent port types. This is a temporary mechanism used to represent a port type in `dynamic set parameters` in `dynamic configuration`.

  Specified by:
    `getStringRepresentation` in interface `PortType`

### canAcceptMessage

    public boolean canAcceptMessage(Object msg)

  Description copied from interface: `PortType`
  Determines if the port type will accept the given message. This method may be used by the edge flow engine for error checking before sending messages to a port.

  Specified by:
    `canAcceptMessage` in interface `PortType`
  Parameters:
    `msg` - The message that is to be sent.
  Returns:
    Returns true if the port type will accept the message. False otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD